Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: 1 ... 6 7 8 [9]   Go Down

Author Topic: UP3 RC4 Patch Pack 303  (Read 9832 times)

0 Members and 1 Guest are viewing this topic.

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 17802
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: UP3 RC4 Patch Pack 303
« Reply #96 on: April 17, 2019, 06:28:04 AM »

Whatever that is - broken GPU, messed up something, whatever... it has absolutely nothing to do with UP3.

]cheers[
Mike
Logged
You've got no one to follow, and no one will follow you. Ain't that a relief?

boilingmetal

  • member
  • Offline Offline
  • Posts: 7
Re: UP3 RC4 Patch Pack 303
« Reply #97 on: April 25, 2019, 08:40:51 AM »

Great patch! Thank you for your hard work! :) :) :)

In addition, I would like to ask a question about opening an up3 server:
1. How to deploy this patch on the server? Does the up3 server need to deploy the same version of the patch as the client?
2. If I want to add other maps downloaded online, how should I modify the mod configuration of the server and client?
3. If I want to add other aircraft downloaded online, how should I modify the mod configuration of the server and client?

If you can answer it, that would be great´╝ü
Thanks again!
Logged

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 17802
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: UP3 RC4 Patch Pack 303
« Reply #98 on: April 25, 2019, 08:56:49 AM »

1. How to deploy this patch on the server?
Just like you do on client side, except for that you will want to use the Server Version of the IL-2 Executable Selector.

Does the up3 server need to deploy the same version of the patch as the client?
Not yet.
So far we're fully backwards compatible.
Future update however will introduce new aircraft and maybe other objects, which naturally breaks compatibility.
We are planning to implement this in a way that users with outdated game versions can still connect to and play on newer Ultrapack Servers, however you will only get the full playing experience if you are updated to the same level like the Server you're playing on.

2. If I want to add other maps downloaded online, how should I modify the mod configuration of the server and client?
Just like you do with maps on any other IL-2 version.

3. If I want to add other aircraft downloaded online, how should I modify the mod configuration of the server and client?
It's basically the same like adding aircraft to any other Il-2 version.
Originally Ultrapack was 4.10.1 based so aircraft using newer features from e.g. 4.12.2 won't work.
We're slowly porting all the new required functions to Ultrapack so that eventually planes from other game versions, be it 4.something or 5.something, will just work "out of the box".

]cheers[
Mike
Logged
You've got no one to follow, and no one will follow you. Ain't that a relief?

FL2070 / dirtbloxxMC

  • Modder
  • member
  • Offline Offline
  • Posts: 296
  • i make sounds
Re: UP3 RC4 Patch Pack 303
« Reply #99 on: May 12, 2019, 01:42:24 PM »

Well, this is a bit of a strange one. I just installed UP3 over 4.10.1m. Flew a few QMB missions to check the game works, everything works like a charm. Obvious next step was to install the latest patch pack, but with it enabled in JSGME, my game crashes at 45%. That's right, 45% - I tested it many times, and sure enough, that's the crash percentage. When I disable the patch pack, UP3 works fine.

This seems to be the only related :
Code: [Select]
java.lang.NoSuchFieldError: fuzeType
at com.maddox.il2.ai.World.setUserCovers(World.java:119)
at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1761)
at com.maddox.il2.game.Main3D.beginApp(Main3D.java:1470)
at com.maddox.il2.game.MainWin3D.beginApp(MainWin3D.java:211)
at com.maddox.il2.game.Main.exec(Main.java:432)
at com.maddox.il2.game.GameWin3D.main(GameWin3D.java:235)

I would appreciate any help I can get on this issue. I'm trying to get an IL2 install that I can play on the SAS dogfight server with.
Logged
I'm FL2070, previously known as dirtbloxxMC. I make sounds. My current main project, UJS (Ultimate Jet Sound) v1.2, can be found here: https://www.sas1946.com/main/index.php/topic,61360.0.html

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 17802
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: UP3 RC4 Patch Pack 303
« Reply #100 on: May 12, 2019, 10:59:43 PM »

Question is: What else did you install?
Because this...
Code: [Select]
java.lang.NoSuchFieldError: fuzeType
at com.maddox.il2.ai.World.setUserCovers(World.java:119)
...is neither code from UP3 nor any of it's patches.

]cheers[
Mike
Logged
You've got no one to follow, and no one will follow you. Ain't that a relief?

FL2070 / dirtbloxxMC

  • Modder
  • member
  • Offline Offline
  • Posts: 296
  • i make sounds
Re: UP3 RC4 Patch Pack 303
« Reply #101 on: May 13, 2019, 09:49:41 AM »

Now this is interesting: apparently, disabling an effects mod I had installed made the game start. The mod had no classfiles in in at all (I deleted them). Very strange. For reference, the effects mod I was using is found here. I'll try using an effects mod for 4.10.1 instead and see if I get any better luck...

But hey, I got the game working with patch pack 303!
Logged
I'm FL2070, previously known as dirtbloxxMC. I make sounds. My current main project, UJS (Ultimate Jet Sound) v1.2, can be found here: https://www.sas1946.com/main/index.php/topic,61360.0.html

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 17802
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: UP3 RC4 Patch Pack 303
« Reply #102 on: May 13, 2019, 09:56:44 AM »

The mod had no classfiles in in at all (I deleted them)
That apparently didn't work well, because that mod holds exactly the "World" class causing this issue with exactly that code line in exactly that spot noted in your log.
Apparently the 3 classfiles have been installed (accidentally) to your game together with the other effect files.
You could try again, this time by really removing the 3 hashed classfiles.

]cheers[
Mike
Logged
You've got no one to follow, and no one will follow you. Ain't that a relief?

SAS~Storebror

  • Editor
  • member
  • Offline Offline
  • Posts: 17802
  • Failure is not an option.
    • What goes around comes around, you'll see
Re: UP3 RC4 Patch Pack 303
« Reply #103 on: May 16, 2019, 11:28:33 PM »

This Patch Pack Series has been superseded by
click--> Ultrapack 3.2 <--click

Thread locked.

]cheers[
Mike
Logged
You've got no one to follow, and no one will follow you. Ain't that a relief?
Pages: 1 ... 6 7 8 [9]   Go Up
 

Page created in 0.013 seconds with 27 queries.